Altibase.jdbc.driver.util

## Class CharBufferReader

- java.lang.Object
- - java.io.Reader
  - - Altibase.jdbc.driver.util.CharBufferReader

All Implemented Interfaces:
  java.io.Closeable, java.lang.AutoCloseable, java.lang.Readable

    public class CharBufferReader
    extends java.io.Reader

### Field Summary

### Fields inherited from class java.io.Reader

`lock`

### Constructor Summary

Constructors
Constructor and Description
`CharBufferReader(java.nio.CharBuffer aBuf, int aByteLength)`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `available()`
`void` `close()`
`int` `getByteLength()`
`void` `mark(int aReadAheadLimit)`
`boolean` `markSupported()`
`int` `read()`
`int` `read(char[] aBuf)`
`int` `read(char[] aBuf, int aOffset, int aLen)`
`boolean` `ready()`
`void` `reopen()`
`void` `reset()`
`long` `skip(long aSkipLen)`

### Methods inherited from class java.io.Reader

`read`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CharBufferReader

    public CharBufferReader(java.nio.CharBuffer aBuf,
                            int aByteLength)

### Method Detail

#### reopen

    public void reopen()

#### getByteLength

    public int getByteLength()

#### available

    public int available()
                  throws java.io.IOException

Throws:
  `java.io.IOException`

#### close

    public void close()
               throws java.io.IOException

Specified by:
  `close` in interface `java.io.Closeable`
Specified by:
  `close` in interface `java.lang.AutoCloseable`
Specified by:
  `close` in class `java.io.Reader`
Throws:
  `java.io.IOException`

#### mark

    public void mark(int aReadAheadLimit)
              throws java.io.IOException

Overrides:
  `mark` in class `java.io.Reader`
Throws:
  `java.io.IOException`

#### markSupported

    public boolean markSupported()

Overrides:
  `markSupported` in class `java.io.Reader`

#### read

    public int read()
             throws java.io.IOException

Overrides:
  `read` in class `java.io.Reader`
Throws:
  `java.io.IOException`

#### read

    public int read(char[] aBuf,
                    int aOffset,
                    int aLen)
             throws java.io.IOException

Specified by:
  `read` in class `java.io.Reader`
Throws:
  `java.io.IOException`

#### read

    public int read(char[] aBuf)
             throws java.io.IOException

Overrides:
  `read` in class `java.io.Reader`
Throws:
  `java.io.IOException`

#### ready

    public boolean ready()
                  throws java.io.IOException

Overrides:
  `ready` in class `java.io.Reader`
Throws:
  `java.io.IOException`

#### reset

    public void reset()
               throws java.io.IOException

Overrides:
  `reset` in class `java.io.Reader`
Throws:
  `java.io.IOException`

#### skip

    public long skip(long aSkipLen)
              throws java.io.IOException

Overrides:
  `skip` in class `java.io.Reader`
Throws:
  `java.io.IOException`